sysdecode_sigcode(3)

NAME
sysdecode_sigcode - lookup name of signal code

LIBRARY
libsysdecode

SYNOPSIS
#include <sys/types.h>
#include <stdbool.h>
#include <sysdecode.h>
const char *
sysdecode_sigcode(int signal, int si_code);

DESCRIPTION
The sysdecode_sigcode() function returns a text description of the si_code field of the siginfo_t object associated with an instance of signal sig. The text description contains the name of the C macro whose value matches si_code. General purpose signal codes such as SI_USER are handled as well as signal-specific codes for SIGBUS, SIGCHLD, SIGFPE, SIGILL, SIGSEGV and SIGTRAP. If si_code does not represent a known signal code, sysdecode_sigcode() returns NULL.

RETURN VALUES
The sysdecode_sigcode() function returns a pointer to a signal code description or NULL if si_code is not a known signal code.

SEE ALSO
sysdecode_sigbus_code(3), sysdecode_sigchld_code(3), sysdecode_sigfpe_code(3), sysdecode_sigill_code(3), sysdecode_sigprot_code(3), sysdecode_sigsegv_code(3), sysdecode_sigtrap_code(3)